DBIx::SearchBuilder::Handle::mysql(3pm)

NAME
  DBIx::SearchBuilder::Handle::mysql - A mysql specific Handle object

SYNOPSIS

DESCRIPTION
This module provides a subclass of DBIx::SearchBuilder::Handle that compensates for some of the idiosyncrasies of MySQL.

METHODS

  Insert
Takes a table name as the first argument and assumes that the rest of the arguments are an array of key-value pairs to be inserted.

If the insert succeeds, returns the id of the insert, otherwise, returns a Class::ReturnValue object with the error reported.

  SimpleUpdateFromSelect
Customization of "SimpleUpdateFromSelect" in DBIx::SearchBuilder::Handle. Mysql doesn't support update with subqueries when those fetch data from the table that is updated.

  DatabaseVersion
Returns the mysql version, trimming off any -foo identifier

  CaseSensitive
Returns undef, since mysql's searches are not case sensitive by default

  SimpleDateTimeFunctions
Returns hash reference with specific date time functions of this database for "DateTimeFunction" in DBIx::SearchBuilder::Handle.

  ConvertTimezoneFunction
Custom implementation of "ConvertTimezoneFunction" in DBIx::SearchBuilder::Handle.

Use the following query to get list of timezones:

    SELECT Name FROM mysql.time_zone_name;

Read docs about keeping timezone data up to date:

    http://dev.mysql.com/doc/refman/5.5/en/time-zone-upgrades.html

  QuoteName
Quote table or column name to avoid reserved word errors.

  HasSupportForCombineSearchAndCount
MariaDB 10.2+ and MySQL 8+ support this.